Bug 1016853 - Deployment of ejb-mulit-server, ejb-security-propagation quickstarts fail due to removal of '-as' from the module name
Deployment of ejb-mulit-server, ejb-security-propagation quickstarts fail due...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER6
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
Russell Dickenson
:
Depends On:
Blocks: eap62-beta-blockers
  Show dependency treegraph
 
Reported: 2013-10-08 16:01 EDT by sgilda
Modified: 2014-01-12 19:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sgilda 2013-10-08 16:01:26 EDT
Description of problem:
We removed the '-as' from the quickstart artifact id and missed modifying the hard coded references to the archive names in the source code.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Vladimir Rastseluev 2013-10-09 08:56:22 EDT
I found similar errors, testing ejb-security-plus and ejb-security-propagation examples
Comment 2 sgilda 2013-10-09 10:40:04 EDT
Fixed with this commit: https://github.com/jboss-developer/jboss-eap-quickstarts/commit/b45dbfba6f6bec74d7924a62bb1a1321e379f5f5

Still need to merge all fixes to 6.2.x.
Comment 3 sgilda 2013-10-09 14:55:50 EDT
I am able to successfully deploy ejb-security-plus, but I get errors when I run 'mvn exec:exec'.

Exception in thread "main" javax.ejb.EJBException: java.lang.Exception: 
Caused by: java.lang.ClassNotFoundException: org.jboss.as.core.security.SubjectUserInfo from [Module "deployment.jboss-ejb-security-plus.jar:main" from Service Module Loader]
Comment 4 sgilda 2013-10-09 15:48:38 EDT
I see this class in the ER5 server directory here: 

/modules/system/layers/base/org/jboss/as/core-security/main/wildfly-core-security-7.3.0.Final-redhat-8.jar
Comment 5 sgilda 2013-10-09 16:01:19 EDT
Tested ejb-multi-server quickstart and verified it works in the ER5.1 build.
Comment 6 sgilda 2013-10-09 16:14:20 EDT
Tested ejb-security quickstart and verified it works in the ER5.1 release.
Comment 7 sgilda 2013-10-09 17:17:37 EDT
I created a new bug for the ejb-security-plus issues: 
https://bugzilla.redhat.com/show_bug.cgi?id=1017436
Comment 8 Vladimir Rastseluev 2013-10-10 07:21:24 EDT
I'm still unable to execute command in ejb-security-propagation example:

JBOSS_HOME/bin/jboss-cli.sh --connect --command="deploy ejb/target/jboss-ejb-propagation-ejb.jar  --server-groups=other-server-group"

this command isn't correct
[vrastsel@war ejb-security-propagation]$ /home/vrastsel/jboss-eap-6.2/bin/jboss-cli.sh --connect --command="deploy ejb/target/jboss-ejb-propagation-ejb.jar  --server-groups=other-server-group"

I gen an error:
Path /home/vrastsel/jboss-eap-6.2-quickstarts/ejb-security-propagation/ejb/target/jboss-ejb-propagation-ejb.jar doesn't exist.

When I change and use it with correct file name

[vrastsel@war ejb-security-propagation]$ /home/vrastsel/jboss-eap-6.2/bin/jboss-cli.sh --connect --command="deploy ejb/target/jboss-ejb-security-propagation-ejb.jar  --server-groups=other-server-group"

I get:
JBAS010839: Operation failed or was rolled back on all servers.

On server I see logs:
[Server:server-two] 13:15:01,621 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-3) MSC000001: Failed to start service jboss.deployment.unit."jboss-ejb-security-propagation-ejb.jar".PARSE: org.jboss.msc.service.StartException in service jboss.deployment.unit."jboss-ejb-security-propagation-ejb.jar".PARSE: JBAS018733: Failed to process phase PARSE of deployment "jboss-ejb-security-propagation-ejb.jar"                                                                                                                                                              
[Server:server-two]     at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:127) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]                                                                                                                                                                                             
[Server:server-two]     at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
[Server:server-two]     at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
[Server:server-two]     at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_23]
[Server:server-two]     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_23]
[Server:server-two]     at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_23]
[Server:server-two] Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: org.jboss.modules.ModuleLoadException: Error loading module from /home/vrastsel/jboss-eap-6.2/modules/system/layers/base/org/jboss/as/quickstarts/ejb/security/propagation/main/module.xml                                                                                                 
[Server:server-two]     at org.jboss.as.server.deployment.annotation.CompositeIndexProcessor.deploy(CompositeIndexProcessor.java:78) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]                                                                                                                                                                                        
[Server:server-two]     at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:120) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]                                                                                                                                                                                             
[Server:server-two]     ... 5 more
[Server:server-two] Caused by: org.jboss.modules.ModuleLoadException: Error loading module from /home/vrastsel/jboss-eap-6.2/modules/system/layers/base/org/jboss/as/quickstarts/ejb/security/propagation/main/module.xml                                                                                                                                                                   
[Server:server-two]     at org.jboss.modules.ModuleXmlParser.parseModuleXml(ModuleXmlParser.java:155) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleXmlParser.parseModuleXml(ModuleXmlParser.java:132) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.LocalModuleFinder$1.run(LocalModuleFinder.java:154) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.LocalModuleFinder$1.run(LocalModuleFinder.java:148) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at java.security.AccessController.doPrivileged(Native Method) [rt.jar:1.6.0_23]
[Server:server-two]     at org.jboss.modules.LocalModuleFinder.findModule(LocalModuleFinder.java:148) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleLoader.findModule(ModuleLoader.java:455) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleLoader.loadModuleLocal(ModuleLoader.java:358) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleLoader.preloadModule(ModuleLoader.java:305) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleLoader.loadModule(ModuleLoader.java:238) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.as.server.deployment.annotation.CompositeIndexProcessor.deploy(CompositeIndexProcessor.java:70) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]                                                                                                                                                                                        
[Server:server-two]     ... 6 more
[Server:server-two] Caused by: org.jboss.modules.xml.XmlPullParserException: Failed to add resource root 'jboss-as-ejb-security-propagation-interceptor.jar' at path 'jboss-as-ejb-security-propagation-interceptor.jar' (position: END_TAG seen ...e-root path="jboss-as-ejb-security-propagation-interceptor.jar" />... @21:83) caused by: java.util.zip.ZipException: error in opening zip file                                                                                                                                                                                        
[Server:server-two]     at org.jboss.modules.ModuleXmlParser.parseResourceRoot(ModuleXmlParser.java:721) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleXmlParser.parseResources(ModuleXmlParser.java:570) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleXmlParser.parseModuleContents(ModuleXmlParser.java:392) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleXmlParser.parseDocument(ModuleXmlParser.java:219) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     at org.jboss.modules.ModuleXmlParser.parseModuleXml(ModuleXmlParser.java:153) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two]     ... 16 more
[Server:server-two] 
[Server:server-two] 13:15:01,632 ERROR [org.jboss.as.server] (host-controller-connection-threads - 1) JBAS015870: Deploy of deployment "jboss-ejb-security-propagation-ejb.jar" was rolled back with the following failure message:                                                                                                                                                         
[Server:server-two] {"JBAS014671: Failed services" => {"jboss.deployment.unit.\"jboss-ejb-security-propagation-ejb.jar\".PARSE" => "org.jboss.msc.service.StartException in service jboss.deployment.unit.\"jboss-ejb-security-propagation-ejb.jar\".PARSE: JBAS018733: Failed to process phase PARSE of deployment \"jboss-ejb-security-propagation-ejb.jar\"                              
[Server:server-two]     Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: org.jboss.modules.ModuleLoadException: Error loading module from /home/vrastsel/jboss-eap-6.2/modules/system/layers/base/org/jboss/as/quickstarts/ejb/security/propagation/main/module.xml                                                                                             
[Server:server-two]     Caused by: org.jboss.modules.ModuleLoadException: Error loading module from /home/vrastsel/jboss-eap-6.2/modules/system/layers/base/org/jboss/as/quickstarts/ejb/security/propagation/main/module.xml                                                                                                                                                               
[Server:server-two]     Caused by: org.jboss.modules.xml.XmlPullParserException: Failed to add resource root 'jboss-as-ejb-security-propagation-interceptor.jar' at path 'jboss-as-ejb-security-propagation-interceptor.jar' (position: END_TAG seen ...e-root path=\"jboss-as-ejb-security-propagation-interceptor.jar\" />... @21:83) caused by: java.util.zip.ZipException: error in opening zip file"}}                                                                                                                                                                               
[Server:server-two] 13:15:01,636 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-1) JBAS015877: Stopped deployment jboss-ejb-security-propagation-ejb.jar (runtime-name: jboss-ejb-security-propagation-ejb.jar) in 7ms
Comment 9 sgilda 2013-10-10 10:56:26 EDT
There were a couple of issues:
* The JNDI name was not changed from 'ejb:/jboss-as-propagation-ejb/...' to 'ejb:/jboss-propagation-ejb/.. in the web SecuredEJBServlet and HelloServlet class files.
* There was a typo JAR name in the instructions for the first deploy command. 
"deploy ejb/target/jboss-ejb-propagation-ejb.jar .."  should be
"deploy ejb/target/jboss-ejb-security-propagation-ejb.jar ..."
        

However, now I am getting this error:

[Server:server-two] 09:12:03,211 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-3) MSC000001: Failed to start service jboss.deployment.unit."jboss-ejb-security-propagation-ejb.jar".PARSE: org.jboss.msc.service.StartException in service jboss.deployment.unit."jboss-ejb-security-propagation-ejb.jar".PARSE: JBAS018733: Failed to process phase PARSE of deployment "jboss-ejb-security-propagation-ejb.jar"
[Server:server-two] 	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:127) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
[Server:server-two] 	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
[Server:server-two] 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110) [rt.jar:1.7.0_09]
[Server:server-two] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603) [rt.jar:1.7.0_09]
[Server:server-two] 	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_09]
[Server:server-two] Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: org.jboss.modules.ModuleNotFoundException: org.jboss.as.quickstarts.ejb.security.propagation:main
[Server:server-two] 	at org.jboss.as.server.deployment.annotation.CompositeIndexProcessor.deploy(CompositeIndexProcessor.java:78) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:120) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	... 5 more
[Server:server-two] Caused by: org.jboss.modules.ModuleNotFoundException: org.jboss.as.quickstarts.ejb.security.propagation:main
[Server:server-two] 	at org.jboss.modules.ModuleLoader.loadModule(ModuleLoader.java:240) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two] 	at org.jboss.as.server.deployment.annotation.CompositeIndexProcessor.deploy(CompositeIndexProcessor.java:70) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	... 6 more
[Server:server-two] 
[Server:server-two] 09:12:03,222 ERROR [org.jboss.as.server] (host-controller-connection-threads - 1) JBAS015870: Deploy of deployment "jboss-ejb-security-propagation-ejb.jar" was rolled back with the following failure message: 
[Server:server-two] {"JBAS014671: Failed services" => {"jboss.deployment.unit.\"jboss-ejb-security-propagation-ejb.jar\".PARSE" => "org.jboss.msc.service.StartException in service jboss.deployment.unit.\"jboss-ejb-security-propagation-ejb.jar\".PARSE: JBAS018733: Failed to process phase PARSE of deployment \"jboss-ejb-security-propagation-ejb.jar\"
[Server:server-two]     Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: org.jboss.modules.ModuleNotFoundException: org.jboss.as.quickstarts.ejb.security.propagation:main
[Server:server-two]     Caused by: org.jboss.modules.ModuleNotFoundException: org.jboss.as.quickstarts.ejb.security.propagation:main"}}
[Server:server-two] 09:12:03,227 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-2) JBAS015877: Stopped deployment jboss-ejb-security-propagation-ejb.jar (runtime-name: jboss-ejb-security-propagation-ejb.jar) in 6ms
[Host Controller] 09:16:59,864 INFO  [org.jboss.as.repository] (management-handler-thread - 12) JBAS014900: Content added at location /home/sgilda/tools/jboss-eap-6.2-ER5/domain/data/content/a8/80da4bd4d9671b015d8108091278a963ac02e2/content
[Server:server-two] 09:16:59,926 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-8) JBAS015876: Starting deployment of "jboss-ejb-security-propagation-ejb.jar" (runtime-name: "jboss-ejb-security-propagation-ejb.jar")
[Server:server-two] 09:16:59,933 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-7) MSC000001: Failed to start service jboss.deployment.unit."jboss-ejb-security-propagation-ejb.jar".PARSE: org.jboss.msc.service.StartException in service jboss.deployment.unit."jboss-ejb-security-propagation-ejb.jar".PARSE: JBAS018733: Failed to process phase PARSE of deployment "jboss-ejb-security-propagation-ejb.jar"
[Server:server-two] 	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:127) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
[Server:server-two] 	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
[Server:server-two] 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110) [rt.jar:1.7.0_09]
[Server:server-two] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603) [rt.jar:1.7.0_09]
[Server:server-two] 	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_09]
[Server:server-two] Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: org.jboss.modules.ModuleNotFoundException: org.jboss.quickstarts.ejb.security.propagation:main
[Server:server-two] 	at org.jboss.as.server.deployment.annotation.CompositeIndexProcessor.deploy(CompositeIndexProcessor.java:78) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:120) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	... 5 more
[Server:server-two] Caused by: org.jboss.modules.ModuleNotFoundException: org.jboss.quickstarts.ejb.security.propagation:main
[Server:server-two] 	at org.jboss.modules.ModuleLoader.loadModule(ModuleLoader.java:240) [jboss-modules.jar:1.3.0.Final-redhat-2]
[Server:server-two] 	at org.jboss.as.server.deployment.annotation.CompositeIndexProcessor.deploy(CompositeIndexProcessor.java:70) [jboss-as-server-7.3.0.Final-redhat-8.jar:7.3.0.Final-redhat-8]
[Server:server-two] 	... 6 more
Comment 10 sgilda 2013-10-11 14:45:59 EDT
The ejb-security-propagation quickstart has been removed from EAP 6.2, so this is no longer an issue.
Comment 11 sgilda 2013-10-14 07:48:33 EDT
This should be resolved in ER6.
Comment 12 sgilda 2013-10-15 07:36:24 EDT
This quickstart was removed from the beta build so it should no longer be a beta blocking bug. However, this was fixed and the quickstart will be returned to the build for ER6 and this must remain open for verification.
Comment 13 Vladimir Rastseluev 2013-10-18 06:37:59 EDT
Verified on EAP 6.2 ER6

Note You need to log in before you can comment on or make changes to this bug.